Bug 291210 - accounts-kcm should remove passwords from MC
Summary: accounts-kcm should remove passwords from MC
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.5.2
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-10 20:28 UTC by George Kiagiadakis
Modified: 2012-12-17 17:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.5.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Kiagiadakis 2012-01-10 20:28:55 UTC
Steps to reproduce:
→ open accounts KCM and enter any weird password for an existing account that has its password already stored in MC
→ try to connect again - it works

Apparently the wrong password IS stored in kwallet, but the correct password is never removed from MC, so MC keeps feeding the CM with the correct password and everything works.

(Actually reported by eliasp on irc)
Comment 1 David Edmundson 2012-11-13 11:47:44 UTC
Git commit 475af97d22760c7d5566942a4ee3a9cf858ccf52 by David Edmundson.
Committed on 13/11/2012 at 12:45.
Pushed by davidedmundson into branch 'master'.

When editing an account always unset any password stored by Mission Control

M  +1    -0    src/edit-account-dialog.cpp

http://commits.kde.org/telepathy-accounts-kcm/475af97d22760c7d5566942a4ee3a9cf858ccf52